Subject: Re: JNI call crashes the JVM
From: "Gerrit P. Haase" <[email-masked]>
To: Solly Ezekiel <[email-masked]>
Cc: [email-masked]
Date: Sun, 07 Nov 2004 16:21:15 +0100

Solly Ezekiel wrote:

> Lapo,
> 
> Thank you, this is just what I was looking for.  I
> will try what you suggest and let you know how it
> turned out.
> 
> Out of curiosity, when I do a cygcheck on my DLL, I
> see this:
> 
> $ cygcheck GcNativeLib.dll 
> Found: .\GcNativeLib.dll
> GcNativeLib.dll
>   C:\WINDOWS\system32\msvcrt.dll
>     C:\WINDOWS\system32\KERNEL32.dll
>       C:\WINDOWS\system32\ntdll.dll
>   C:\cygwin\bin\cygwin1.dll
>     C:\WINDOWS\system32\ADVAPI32.DLL
>       C:\WINDOWS\system32\RPCRT4.dll
> 
> Does this mean the other DLLs are never getting
> loaded?

It is a difference if you link against a library or try to open a 
library during runtime with LoadLibrary.  In this case your DLL is 
linked against cygwin1.dll *and* msvcrt.dll which will crash your 
application for sure, you cannot link to two different c-runtimes.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/